#
# spec file for package 844-ksc-pcf
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           844-ksc-pcf
Version:        19990207
Release:        772.1
Summary:        Korean 8x4x4 Johab Fonts
License:        SUSE-Public-Domain
Group:          System/X11/Fonts
Url:            http://www.debian.or.kr/~cwryu/archive/fonttools/
Source0:        844-ksc-pcf-19990207.1.tar.bz2
Source1:        README.844-ksc.fonts.TXT
BuildRequires:  fontpackages-devel
Provides:       locale(xorg-x11:ko)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
Korean 8x4x4 johab fonts.

%prep
%setup -q -n 844-ksc-pcf-19990207.1
cp $RPM_SOURCE_DIR/README.844-ksc.fonts.TXT .
# name conflict with fonts from efont-unicode package:
for i in h[0-9][0-9].pcf
do
   mv $i ${i%.pcf}-844-ksc.pcf
done

%build

%install
mkdir -p %{buildroot}%{_miscfontsdir}
gzip --best *.pcf
install -m 644 *.gz   %{buildroot}%{_miscfontsdir}

# Ruediger Oertel wrote:
# > that is the way an update works with rpm:
# >
# > %pre(in) new package
# > install all files from new package
# > %post(in) new package
# > %preun old package
# > remove all files from old package not present in new package
# > %postun old package

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc README*
%{_miscfontsdir}

%changelog
* Wed Aug  8 2012 pgajdos@suse.com
- call spec-cleaner
* Mon Aug  6 2012 pgajdos@suse.com
- prepare spec file for dropping SuSEconfig.fonts (openFATE#313536)
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from spec
* Fri Apr  9 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Wed Aug  9 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/misc
  (openSUSE 10.2 will use X11R7).
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(xorg-x11:ko)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts"
* Thu Mar 18 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Mon Feb 16 2004 mfabian@suse.de
- run the scripts twice on on update because it is possible that
  font files have been removed between the "post" and the "postun"
  script, i.e. in this case the "postun" script should run to
  correct this. If really nothing has changed in the font
  directories between "post" and "postun", "postun" will run
  very fast anyway because it checks the timestamps in the font
  directores and these are unchanged then.
* Mon Feb 16 2004 mfabian@suse.de
- don't run the scripts twice on update.
* Sat Feb 14 2004 mfabian@suse.de
- don't build as root
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Fri Jun 13 2003 mfabian@suse.de
- add %%dir /usr/X11R6/lib/X11/fonts/misc/ to file list
* Tue Mar  4 2003 mfabian@suse.de
- resolve file name conflicts with efont-unicode package
- bzip2 tarball (and gunzip pcf files inside first because this
  saves another 700kB)
* Fri Aug  9 2002 ro@suse.de
- removed PreReq since pre/postinstallscripts are gone
* Thu Aug  1 2002 mfabian@suse.de
- remove %%post and %%postun, SuSEconfig.fonts does that already,
  it's better not duplicate the work of SuSEconfig.fonts.
* Wed Jan 10 2001 violiet@susekorea.net
- NEW 844-ksc-pcf package version to 19990207.
